com.amazonaws.services.elastictranscoder.waiters

## Class AmazonElasticTranscoderWaiters

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.waiters.AmazonElasticTranscoderWaiters

    public class AmazonElasticTranscoderWaiters
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AmazonElasticTranscoderWaiters(AmazonElasticTranscoder client)` Constructs a new AmazonElasticTranscoderWaiters with the given client

### Method Summary

All Methods Instance Methods Concrete Methods
`Waiter<ReadJobRequest>` `jobComplete()` Builds a JobComplete waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AmazonElasticTranscoderWaiters

    public AmazonElasticTranscoderWaiters(AmazonElasticTranscoder client)

Constructs a new AmazonElasticTranscoderWaiters with the given client

Parameters:
  `client` - Service client

### Method Detail

#### jobComplete

    public Waiter<ReadJobRequest> jobComplete()

Builds a JobComplete waiter by using custom parameters waiterParameters and other parameters defined in the waiters specification, and then polls until it determines whether the resource entered the desired state or not, where polling criteria is bound by either default polling strategy or custom polling strategy.